Retrieve a debit memo item
Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information.
Retrieves information about a specific item of a debit memo. A debit memo item is a single line item in a debit memo.
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
The unique ID of a debit memo item. You can get the debit memo item ID from the response of List debit memo items.
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
The minor API version.
For a list of available minor versions, see API upgrades.
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.
For more information, see Concurrent request limits.
The total number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The remaining number of the permitted concurrent requests.
For more information, see Concurrent request limits.
Response
The amount of the debit memo item. For tax-inclusive debit memo items, the amount indicates the debit memo item amount including tax. For tax-exclusive debit memo items, the amount indicates the debit memo item amount excluding tax.
The date and time when the debit memo item was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10.
Description about the debit memo item.
Note: This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 257.0 or a later available version.
The flag to exclude the debit memo item from revenue accounting.
Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.
The kind of the charge for the debit memo item. Its possible values are Charge and Discount.
When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue.
- delivery pricing charge
- prepayment charge
- drawdown charge
Note the following:
- If you are an Order to Revenue customer, when you set the
reflectDiscountInNetAmountfield totrue, you must also set theexcludeItemBillingFromRevenueAccountingfield totrue. - If you are a Billing - Revenue Integration customer, you must set the
reflectDiscountInNetAmountfield tofalse, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. - If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the
reflectDiscountInNetAmountfield totrue.
The start date of the service period associated with this debit memo item. If the associated charge is a one-time fee, this date is the date of that charge.
The ID of the ship-to contact associated with the invoice item.
The value of this field is null if you have the Flexible Billing Attributes feature disabled.
The ID of the sold-to contact associated with the invoice item.
The value of this field is null if you have the Flexible Billing Attributes feature disabled.
The ID of the sold-to contact snapshot associated with the invoice item.
The value of this field is null if you have the Flexible Billing Attributes feature disabled.
Returns true if the request was processed successfully.
Container for the taxation items of the debit memo item.
Note: This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 239.0 or a later available version.
The per-unit price of the debit memo item.
The date and time when the debit memo item was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:36:10.